function walk_up()
	while true do
    delay(60);
    frames{1,2,3,4,5,6};
	end
end
function walk_down()
	while true do
    delay(60);
    frames{7,8,9,10,11};
	end
end
function idle()
	while true do
    delay(60);
    frames{12};
	end
end

function naughty()
	while true do
    delay(random(500,3000));
    frames{12};
	delay(random(500,3000));
	frames{13};
	end
end


function doing_stuff_sit_down()
	while true do
    delay(60);
    frames{49,50,51,52,53,54,55,56,57,58,59};
	end
end

function sit()
	delay(60);
	frames{14};
end

function fighting_up()
	while 1 do
		delay(60);
		frames{35,36,37,38,39};
	end
end

function fighting_down()
	while 1 do
		delay(60);
		frames{60,61,62,63,64,65};
	end
end

function playing_guitar()
	while 1 do
		delay(60);
		frames{40,41,42,43,44};
	end
end